projects
/
dygraphs.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
|
inline
| side by side (from parent 1:
a0d2e89
)
Make test.sh return an error code on failure.
author
Dan Vanderkam
<danvdk@gmail.com>
Sat, 14 Jun 2014 02:22:19 +0000
(22:22 -0400)
committer
Dan Vanderkam
<danvdk@gmail.com>
Sat, 14 Jun 2014 02:25:39 +0000
(22:25 -0400)
test.sh
patch
|
blob
|
blame
|
history
diff --git
a/test.sh
b/test.sh
index
9ca252e
..
3194c72
100755
(executable)
--- a/
test.sh
+++ b/
test.sh
@@
-16,4
+16,9
@@
if [ $? != 0 ]; then
exit 1
fi
exit 1
fi
-phantomjs phantom-driver.js $*
+phantomjs phantom-driver.js $* | tee /tmp/test-results.txt
+trap "rm -f /tmp/test-results.txt" EXIT
+if grep -q 'FAIL' /tmp/test-results.txt; then
+ echo One or more tests failed.
+ exit 1
+fi